net.corda.flows

## Class TwoPartyTradeFlow.SellerTradeInfo

- net.corda.flows.TwoPartyTradeFlow.SellerTradeInfo

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.SellerTradeInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SellerTradeInfo(StateAndRef<? extends net.corda.core.contracts.OwnableState> assetForSale, Amount<java.util.Currency> price, CompositeKey sellerOwnerKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateAndRef<net.corda.core.contracts.OwnableState>` | `component1()`
    `Amount<java.util.Currency>` | `component2()`
    `CompositeKey` | `component3()`
    `TwoPartyTradeFlow.SellerTradeInfo` | `copy(StateAndRef<? extends net.corda.core.contracts.OwnableState> assetForSale, Amount<java.util.Currency> price, CompositeKey sellerOwnerKey)`
    `boolean` | `equals(java.lang.Object p)`
    `StateAndRef<net.corda.core.contracts.OwnableState>` | `getAssetForSale()`
    `Amount<java.util.Currency>` | `getPrice()`
    `CompositeKey` | `getSellerOwnerKey()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### SellerTradeInfo

          public SellerTradeInfo(StateAndRef<? extends net.corda.core.contracts.OwnableState> assetForSale,
                                 Amount<java.util.Currency> price,
                                 CompositeKey sellerOwnerKey)

  - ### Method Detail

    - #### getAssetForSale

          public StateAndRef<net.corda.core.contracts.OwnableState> getAssetForSale()

    - #### getPrice

          public Amount<java.util.Currency> getPrice()

    - #### getSellerOwnerKey

          public CompositeKey getSellerOwnerKey()

    - #### component1

          public StateAndRef<net.corda.core.contracts.OwnableState> component1()

    - #### component2

          public Amount<java.util.Currency> component2()

    - #### component3

          public CompositeKey component3()

    - #### copy

          public TwoPartyTradeFlow.SellerTradeInfo copy(StateAndRef<? extends net.corda.core.contracts.OwnableState> assetForSale,
                                                        Amount<java.util.Currency> price,
                                                        CompositeKey sellerOwnerKey)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)